//---------------------------------------------------------------------------
#pragma once
#include "XlsPtr.h"
//---------------------------------------------------------------------------
namespace Xls
{
//---------------------------------------------------------------------------
class EXPORT_IMPORT_DirectXLS CBase
{
	friend void ::intrusive_ptr_add_ref(Xls::CBase* p);
	friend void ::intrusive_ptr_release(Xls::CBase* p);
protected:
	CBase(void* pimpl);
	virtual ~CBase();
protected:
	// for internal use
	void*	GetImpl() const;
private:
	void addRef();
	void release();
private:
	unsigned int m_count;
	void*		 m_pimpl;
};
//---------------------------------------------------------------------------
}
//---------------------------------------------------------------------------
