#pragma once
#include "XlsInterior.h"
using namespace Xls;
//////////////////////////////////////////////////
namespace XlsHelpers
{
	void EXPORT_IMPORT_DirectXLS 
		SetRangeText(	const char* worksheetName, 
						unsigned short wRow, unsigned short wCol,
						const char* text,
						const char* fontName,
						unsigned short fontSize,
						bool isBold, 
						bool isItalic, 
						bool isUnderlined,
						CInterior::Align_Horz  alignHorz,
						CInterior::Align_Vert  alignVert,
						CInterior::Line_Styles lineStyleLeft,
						CInterior::Line_Styles lineStyleTop,
						CInterior::Line_Styles lineStyleRight,
						CInterior::Line_Styles lineStyleBottom);
	void EXPORT_IMPORT_DirectXLS 
		SetRangeNumber(	const char* worksheetName, 
						unsigned short wRow, unsigned short wCol, 
						double number,
						const char* fontName,
						unsigned short fontSize,
						bool isBold, 
						bool isItalic, 
						bool isUnderlined,
						CInterior::Align_Horz  alignHorz,
						CInterior::Align_Vert  alignVert,
						CInterior::Line_Styles lineStyleLeft,
						CInterior::Line_Styles lineStyleTop,
						CInterior::Line_Styles lineStyleRight,
						CInterior::Line_Styles lineStyleBottom);
	void EXPORT_IMPORT_DirectXLS 
		SetRangeFormula(const char* worksheetName, 
						unsigned short wRow, unsigned short wCol,
						const char* formula,
						const char* fontName,
						unsigned short fontSize,
						bool isBold, 
						bool isItalic, 
						bool isUnderlined,
						CInterior::Align_Horz  alignHorz,
						CInterior::Align_Vert  alignVert,
						CInterior::Line_Styles lineStyleLeft,
						CInterior::Line_Styles lineStyleTop,
						CInterior::Line_Styles lineStyleRight,
						CInterior::Line_Styles lineStyleBottom);
	void EXPORT_IMPORT_DirectXLS 
		SetColWidth(	const char* worksheetName, 
						unsigned short wCol,
						double width);
	void EXPORT_IMPORT_DirectXLS 
		SetRowHeight(	const char* worksheetName, 
						unsigned short wRow,
						double height);

	unsigned short EXPORT_IMPORT_DirectXLS 
		ColStringToColInd( const char* szCol);

	void EXPORT_IMPORT_DirectXLS 
		Save( const char* szFilePath);
}
//////////////////////////////////////////////////
