//---------------------------------------------------------------------------
#pragma once
#include "XlsWorksheet.h"
#include "XlsPtr.h"
#include "XlsObject.h"
//---------------------------------------------------------------------------
namespace Xls
{
//---------------------------------------------------------------------------
class EXPORT_IMPORT_DirectXLS CWorksheets : public CObject
{
	friend class CWorksheet;
	friend class CWorkbook;
public:
    TWorksheetPtr Add( const char* szName);
    TWorksheetPtr Add();

    unsigned int  Count();
    TWorksheetPtr Worksheet( unsigned int index);
	TWorksheetPtr FindWorksheet(const char* szName);

    TWorkbookPtr	Parent() const;
private:
    CWorksheets(void* pimpl);
    ~CWorksheets();
private:
    CWorksheets( const CWorksheets& wss);
    CWorksheets& operator=( const CWorksheets& wbs);
};
//---------------------------------------------------------------------------
}
//---------------------------------------------------------------------------
